Package org.jfree.report.modules.data.sql

# Class StaticConnectionProvider

java.lang.Object
org.jfree.report.modules.data.sql.StaticConnectionProvider

All Implemented Interfaces:
  `Serializable`, `ConnectionProvider`

public class StaticConnectionProvider extends Object implements ConnectionProvider
Creation-Date: 07.04.2006, 14:54:57

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StaticConnectionProvider(Connection connection)`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticConnectionProvider

public StaticConnectionProvider(Connection connection)

## Method Details

### getConnection

public Connection getConnection()

Specified by:
  `getConnection` in interface `ConnectionProvider`